package com.inspect.system.base.openDomain;

import com.inspect.base.core.annotation.Excel;
import com.inspect.base.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class BasedataDevice extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private String deviceId;
   @Excel(
      name = "设备编号"
   )
   private String deviceCode;
   @Excel(
      name = "设备名称"
   )
   private String deviceName;
   @Excel(
      name = "生产厂家"
   )
   private String manufacturer;
   @Excel(
      name = "父设备id"
   )
   private Long parentId;
   @Excel(
      name = "祖级列表"
   )
   private String ancestors;
   @Excel(
      name = "区域id"
   )
   private String areaId;
   @Excel(
      name = "区域名称"
   )
   private String areaName;
   @Excel(
      name = "设备类型ID"
   )
   private String devicetypeId;
   @Excel(
      name = "设备类型名称"
   )
   private String devicetypeName;
   @Excel(
      name = "电力主设备标识-Yes:是；No：否"
   )
   private String powerMainEquFlag;
   @Excel(
      name = "设备型号"
   )
   private String deviceModel;
   @Excel(
      name = "实物ID"
   )
   private String phyassetId;
   @Excel(
      name = "场站编号",
      readConverterExp = "当=前实际站号编址"
   )
   private String stationNo;
   @Excel(
      name = "监控索引号：监控系统测点 ID，可用于数据的唯一标识"
   )
   private String monitorIndexNo;
   @Excel(
      name = "相数,0:无相；1：单项；3：三项"
   )
   private String phaseNum;
   @Excel(
      name = "相别，1: = A相 2: = B相 3: = C相，多个相位，采用“,”分隔"
   )
   private String phase;
   @Excel(
      name = "设备类型状态",
      readConverterExp = "0=正常,1=停用"
   )
   private String status;
   @Excel(
      name = "设备X坐标"
   )
   private String positionX;
   @Excel(
      name = "设备Y坐标"
   )
   private String positionY;
   @Excel(
      name = "设备Z坐标"
   )
   private String positionZ;
   @Excel(
      name = "设备长度"
   )
   private String deviceLength;
   @Excel(
      name = "设备宽度"
   )
   private String deviceWidth;
   @Excel(
      name = "设备高度"
   )
   private String deviceHigh;
   private String delFlag;

   public void setDeviceId(String deviceId) {
      this.deviceId = deviceId;
   }

   public String getDeviceId() {
      return this.deviceId;
   }

   public void setDeviceCode(String deviceCode) {
      this.deviceCode = deviceCode;
   }

   public String getDeviceCode() {
      return this.deviceCode;
   }

   public void setDeviceName(String deviceName) {
      this.deviceName = deviceName;
   }

   public String getDeviceName() {
      return this.deviceName;
   }

   public void setManufacturer(String manufacturer) {
      this.manufacturer = manufacturer;
   }

   public String getManufacturer() {
      return this.manufacturer;
   }

   public void setParentId(Long parentId) {
      this.parentId = parentId;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public void setAncestors(String ancestors) {
      this.ancestors = ancestors;
   }

   public String getAncestors() {
      return this.ancestors;
   }

   public void setAreaId(String areaId) {
      this.areaId = areaId;
   }

   public String getAreaId() {
      return this.areaId;
   }

   public void setAreaName(String areaName) {
      this.areaName = areaName;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public void setDevicetypeId(String devicetypeId) {
      this.devicetypeId = devicetypeId;
   }

   public String getDevicetypeId() {
      return this.devicetypeId;
   }

   public void setDevicetypeName(String devicetypeName) {
      this.devicetypeName = devicetypeName;
   }

   public String getDevicetypeName() {
      return this.devicetypeName;
   }

   public void setPowerMainEquFlag(String powerMainEquFlag) {
      this.powerMainEquFlag = powerMainEquFlag;
   }

   public String getPowerMainEquFlag() {
      return this.powerMainEquFlag;
   }

   public void setDeviceModel(String deviceModel) {
      this.deviceModel = deviceModel;
   }

   public String getDeviceModel() {
      return this.deviceModel;
   }

   public void setPhyassetId(String phyassetId) {
      this.phyassetId = phyassetId;
   }

   public String getPhyassetId() {
      return this.phyassetId;
   }

   public void setStationNo(String stationNo) {
      this.stationNo = stationNo;
   }

   public String getStationNo() {
      return this.stationNo;
   }

   public void setMonitorIndexNo(String monitorIndexNo) {
      this.monitorIndexNo = monitorIndexNo;
   }

   public String getMonitorIndexNo() {
      return this.monitorIndexNo;
   }

   public void setPhaseNum(String phaseNum) {
      this.phaseNum = phaseNum;
   }

   public String getPhaseNum() {
      return this.phaseNum;
   }

   public void setPhase(String phase) {
      this.phase = phase;
   }

   public String getPhase() {
      return this.phase;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getStatus() {
      return this.status;
   }

   public void setPositionX(String positionX) {
      this.positionX = positionX;
   }

   public String getPositionX() {
      return this.positionX;
   }

   public void setPositionY(String positionY) {
      this.positionY = positionY;
   }

   public String getPositionY() {
      return this.positionY;
   }

   public void setPositionZ(String positionZ) {
      this.positionZ = positionZ;
   }

   public String getPositionZ() {
      return this.positionZ;
   }

   public void setDeviceLength(String deviceLength) {
      this.deviceLength = deviceLength;
   }

   public String getDeviceLength() {
      return this.deviceLength;
   }

   public void setDeviceWidth(String deviceWidth) {
      this.deviceWidth = deviceWidth;
   }

   public String getDeviceWidth() {
      return this.deviceWidth;
   }

   public void setDeviceHigh(String deviceHigh) {
      this.deviceHigh = deviceHigh;
   }

   public String getDeviceHigh() {
      return this.deviceHigh;
   }

   public void setDelFlag(String delFlag) {
      this.delFlag = delFlag;
   }

   public String getDelFlag() {
      return this.delFlag;
   }

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("deviceId", this.getDeviceId()).append("deviceCode", this.getDeviceCode()).append("deviceName", this.getDeviceName()).append("manufacturer", this.getManufacturer()).append("parentId", this.getParentId()).append("ancestors", this.getAncestors()).append("areaId", this.getAreaId()).append("areaName", this.getAreaName()).append("devicetypeId", this.getDevicetypeId()).append("devicetypeName", this.getDevicetypeName()).append("powerMainEquFlag", this.getPowerMainEquFlag()).append("deviceModel", this.getDeviceModel()).append("phyassetId", this.getPhyassetId()).append("stationNo", this.getStationNo()).append("monitorIndexNo", this.getMonitorIndexNo()).append("phaseNum", this.getPhaseNum()).append("phase", this.getPhase()).append("status", this.getStatus()).append("positionX", this.getPositionX()).append("positionY", this.getPositionY()).append("positionZ", this.getPositionZ()).append("deviceLength", this.getDeviceLength()).append("deviceWidth", this.getDeviceWidth()).append("deviceHigh", this.getDeviceHigh()).append("delFlag", this.getDelFlag()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).toString();
   }
}
